| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/cseventflattener.h File Reference

Event flattening helper. More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes
class | csEventFlattener
| Standard event flattener(also known as serializer). More...
## Enumerations
enum | csEventFlattenerError { csEventFlattenerErrorNone, csEventFlattenerErroriBaseEncountered, csEventFlattenerErrorAttributeRetrieval, csEventFlattenerErrorWrongFormat }
| Event flattening/unflattening result. More...

## Detailed Description

Event flattening helper.

Definition in file cseventflattener.h.

## Enumeration Type Documentation

enum csEventFlattenerError

Event flattening/unflattening result.

Enumerator:

  csEventFlattenerErrorNone | No error.
  csEventFlattenerErroriBaseEncountered | An attribute contains an iBase interface; those can't be serialized.
  csEventFlattenerErrorAttributeRetrieval | An error occured during retrieval of an attribute.
  csEventFlattenerErrorWrongFormat | The buffer data is not in the expected format.

Definition at line 35 of file cseventflattener.h.